Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.jama
Class Maths

    java.lang.Object
      org.biojava.bio.structure.jama.Maths

    public class Maths

extends Object

Constructor Summary
`Maths()`

Method Summary
`static double` | `hypot(double a, double b)` sqrt(a^2 + b^2) without under/overflow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Maths

    public Maths()

Method Detail

### hypot

    public static double hypot(double a,
                               double b)

  sqrt(a^2 + b^2) without under/overflow.

  Parameters:
    `a` - a double
    `b` - a double
  Returns:
    a double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD